curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/api-keys \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/api-keys")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/api-keys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/api-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"data": [
{
"id": 12017,
"resource": "api-key",
"partnerId": 1069,
"name": "Redemption service",
"environment": "test",
"keyHint": "vk_test_01m5h6n1mjfgk9m1g3jg7bx74b_…Qa7Z",
"last4": "Qa7Z",
"scopes": [
"view-consumer-catalog",
"create-consumer-redemptions",
"view-consumer-redemptions"
],
"status": "active",
"expiresAt": "2027-10-22T10:00:00Z",
"lastUsedAt": "2026-10-22T10:05:00Z",
"lastUsedIp": "203.0.113.24",
"rolledFromId": null,
"createdBy": {
"type": "partner-user",
"id": 4069,
"label": "ops@example.com"
},
"revokedBy": null,
"revokedAt": null,
"createdAt": "2026-10-22T10:00:00Z",
"updatedAt": "2026-10-22T10:00:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/api-keys/12017",
"type": "application/json"
}
}
}
],
"page": 1,
"perPage": 25,
"totalPages": 1,
"total": 1
}
}List API keys
Lists your API keys (metadata only). API keys are managed only in the developer dashboard; API keys cannot call this operation. See API keys.
Required permissions: view-api-keys · API keys: not allowed
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/api-keys \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/api-keys")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/api-keys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/api-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"data": [
{
"id": 12017,
"resource": "api-key",
"partnerId": 1069,
"name": "Redemption service",
"environment": "test",
"keyHint": "vk_test_01m5h6n1mjfgk9m1g3jg7bx74b_…Qa7Z",
"last4": "Qa7Z",
"scopes": [
"view-consumer-catalog",
"create-consumer-redemptions",
"view-consumer-redemptions"
],
"status": "active",
"expiresAt": "2027-10-22T10:00:00Z",
"lastUsedAt": "2026-10-22T10:05:00Z",
"lastUsedIp": "203.0.113.24",
"rolledFromId": null,
"createdBy": {
"type": "partner-user",
"id": 4069,
"label": "ops@example.com"
},
"revokedBy": null,
"revokedAt": null,
"createdAt": "2026-10-22T10:00:00Z",
"updatedAt": "2026-10-22T10:00:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/api-keys/12017",
"type": "application/json"
}
}
}
],
"page": 1,
"perPage": 25,
"totalPages": 1,
"total": 1
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Query Parameters
Page number, 1-100,000 (default 1). Outside the range: 400 data-failed-validation with the constraint invalid-page.
1 <= x <= 100000Items per page, 1-100 (default 25). Outside the range: 400 data-failed-validation with the constraint invalid-page.
1 <= x <= 100One sort field; prefix - for descending (sort=field or sort=-field). Allowed: createdAt, name, lastUsedAt, expiresAt. Default -createdAt. The server appends id as a tie-breaker.
"-createdAt"
Case-insensitive search (at most 255 characters) over name.
255Status (equals).
active, revoked, expired Status (one of (comma-separated)). Comma-separated values.
Expiry (greater than or equal).
Expiry (less than).
Expiry (is null (true/false)).
Creator user id (equals).
x >= 0Response
OK
Page envelope of ApiKey items.
The page.
Show child attributes
Show child attributes